Energia

## pinMode()

#### Description

Configures the specified pin to behave either as an input or an output. See the description of digital pins for details.

#### Syntax

pinMode(pin, mode)

#### Parameters

pin: the number of the pin whose mode you wish to set

mode: either INPUT or OUTPUT or INPUT_PULLUP

#### Returns

None

#### Example

    int ledPin = 14;                 // LED connected to digital pin 14

    void setup()
    {
      pinMode(ledPin, OUTPUT);      // sets the digital pin as output
    }

    void loop()
    {
      digitalWrite(ledPin, HIGH);   // sets the LED on
      delay(1000);                  // waits for a second
      digitalWrite(ledPin, LOW);    // sets the LED off
      delay(1000);                  // waits for a second
    }

#### Note

The analog input pins can be used as digital pins, referred to as A0, A1, etc.

#### See also

- constants
- digitalWrite()
- digitalRead()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Energia Reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Energia reference is based on Arduino reference. Code samples in the reference are released into the public domain.

©Energia | Edit Page | Page History | Printable View | All Recent Site Changes